<?php
##############################
# Permet de supprimer complètement un joueur :
# son entrée dans Members, Players et Guests
# Seul un joueur sans descendance peut être supprimé
##############################
include("../config.php3");
include($BIB."bib_generic.php3");


if ($submit=="Supprimer")
{
	$member = getmember($id);
	$player = getplayer($id);
	
	if ($member[Email]==$email or $force==1)
	{
		# on verifie d'abord qu'il n'a pas de descendance
		if ($player[Sons]<1)
		{
			# on supprime le guest
			$req = " FROM Guests WHERE Email='".$member[Email]."'";
			if ($DEBUG!=1 and $no_guest!=1)
			{
				echo "deleting guest entry<br>";
				$res = main_db_query("DELETE".$req);
			}
			
			if (!$res or $DEBUG==1)
				echo "SELECT * ".$req."<br>";
			# on supprime le membre
			$req = " FROM Members WHERE Id='".$member[Id]."'";
			if ($DEBUG!=1)
			{
				echo "deleting member entry<br>";
				$res = main_db_query("DELETE".$req);
			}
			if (!$res or $DEBUG==1)
				echo "SELECT * ".$req."<br>";
			
			# on supprime le player
			$req = " FROM Players WHERE Id='".$player[Id]."'";
			if ($DEBUG!=1)
			{
				echo "deleting player entry<br>";
				$res = main_db_query("DELETE".$req);
			}
			if (!$res or $DEBUG==1)
				echo "SELECT *".$req."<br>";
			
			echo "N'oubliez pas d'utiliser l'utilitaire de cohérence pour les descendances";
		}
		else
		{
			# impossible à supprimer à cause des filleuls
			echo "impossible à supprimer à cause des filleuls<br>";
		}
	}
	else
	{
		echo "Mauvais pseudo ou id<br>";
	}
}

?>
<form>
MemberId : <input type=text name=id value=""><br>
email : <input type=text name=email value=""><br>
<input type=checkbox name=force value=1>force MemberId<br>
<input type=checkbox name=no_guest value=1>don't delete Guest entry<br>
<input type=checkbox name=DEBUG value=1>DEBUG MODE<br>
<br>
<input type=submit name=submit value="Supprimer">
</form>